# std::priority_queue<T,Container,Compare>::empty

From cppreference.com
< cpp‎ | container‎ | priority queue

bool empty() const; |  | (until C++20)
[[nodiscard]] bool empty() const; |  | (since C++20)

Checks if the underlying container has no elements, i.e. whether c.empty().

### Parameters

(none)

### Return value

true if the underlying container is empty, false otherwise

### Complexity

Constant

### See also

size | returns the number of elements (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/container/priority_queue/empty&oldid=50625"